<template>
  <div class="UnbindBox">
    <div class="iconfont warn">&#xe7eb;</div>
    <div class="title">请确认是否解除设备授权？</div>
    <div class="des">如需继续，请输入管理员密码，然后点击“确认”按钮</div>
    <el-input
      placeholder="请输入管理员密码"
      v-model="password"
      show-password
      :class="{ isWrong: isWrong }"
    ></el-input>
    <div class="wrong" v-if="isWrong">密码输入错误，请重新输入</div>

    <div class="btns">
      <div class="cancel" @click="close">取消</div>
      <div class="confirm">确认</div>
    </div>

    <div class="close iconfont" @click="close">&#xe72b;</div>
  </div>
</template>

<script>
export default {
  data() {
    return {
      isWrong: false,
      password: "",
    };
  },
  methods: {
    close() {
      this.$emit("close");
    },
  },
};
</script>

<style lang="scss" scoped>
.UnbindBox {
  position: fixed;
  top: 120px;
  left: 50%;
  margin-left: -210px;
  width: 420px;
  height: 332px;
  text-align: center;
  background-color: #fff;

  .warn {
    margin-top: 40px;
    margin-bottom: 10px;
    font-size: 40px;
    color: rgb(254, 109, 104);
  }

  .title {
    margin-bottom: 20px;
    font-weight: bold;
    font-size: 16px;
    color: #4f4f4f;
  }

  .des {
    text-align: start;
    margin: 0 auto;
    margin-bottom: 6px;
    width: 360px;
    font-size: 12px;
    color: #666666;
  }

  .el-input {
    width: 360px;
    height: 40px;

    ::v-deep input {
      border-color: #d4d6d9;
      border-radius: 20px;

      &::-webkit-input-placeholder {
        font-size: 12px;
        color: #999999;
      }
    }

    &.isWrong ::v-deep input {
      border-color: #fe6d68;
    }
  }

  .wrong {
    width: 360px;
    text-align: start;
    margin: 0 auto;
    margin-top: 4px;
    font-size: 12px;
    color: #fe6d68;
  }

  .btns {
    display: flex;
    justify-content: center;
    margin: 0 auto;
    margin-top: 50px;
    width: 360px;

    .cancel {
      width: 175px;
      height: 40px;
      background: #e0e0e0;
      border-radius: 25px;

      font-weight: bold;
      font-size: 16px;
      line-height: 40px;
      color: #333333;
      cursor: pointer;
    }

    .confirm {
      width: 175px;
      height: 40px;
      background: #4e94ff;
      border-radius: 25px;

      font-weight: bold;
      font-size: 16px;
      line-height: 40px;
      color: #fff;
      cursor: pointer;
    }
  }

  .close {
    position: absolute;
    top: 12px;
    right: 12px;
    font-size: 12px;
    color: #333333;
    cursor: pointer;
  }
}
</style>